Bug 201201 - [exp-run] Introduce and convert to new ghostscript USES
Summary: [exp-run] Introduce and convert to new ghostscript USES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-29 15:36 UTC by Koop Mast
Modified: 2015-07-16 21:03 UTC (History)
1 user (show)

See Also:
kwm: exp-run?


Attachments
ghostscript patch (44.54 KB, patch)
2015-06-29 15:36 UTC, Koop Mast
no flags Details | Diff
Add missed ghostscript users (45.85 KB, patch)
2015-06-29 17:32 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2015-06-29 15:36:38 UTC
Created attachment 158162 [details]
ghostscript patch

Introduce new USES=ghostscript and convert all the users to it.
Comment 1 Antoine Brodin freebsd_committer 2015-06-29 15:40:12 UTC
It seems those 3 ports were not converted:

editors/texmacs/Makefile:GHOSTSCRIPT_USE=       GHOSTSCRIPT=yes
graphics/graphviz/Makefile:GHOSTSCRIPT_USE=GHOSTSCRIPT=yes
graphics/gle-graphics/Makefile:LATEX_GS_USE=    tex=latex ghostscript=run
Comment 2 Koop Mast freebsd_committer 2015-06-29 17:32:40 UTC
Created attachment 158167 [details]
Add missed ghostscript users
Comment 3 Antoine Brodin freebsd_committer 2015-06-29 20:12:10 UTC
There is a \ missing in graphics/cinepaint

Take for exp-run
Comment 4 Antoine Brodin freebsd_committer 2015-06-30 09:05:34 UTC
Exp-run is ok  (with the \ added in graphics/cinepaint)

I see that the patch removes handling of WITHOUT_X11, some people may complain?
Comment 5 Koop Mast freebsd_committer 2015-06-30 10:35:32 UTC
Added the missing \.

Will start the !X11 case discussin in https://reviews.freebsd.org/D2938 later when I have thoughed about it some.
Comment 6 commit-hook freebsd_committer 2015-07-16 20:54:23 UTC
A commit references this bug:

Author: kwm
Date: Thu Jul 16 20:53:55 UTC 2015
New revision: 392322
URL: https://svnweb.freebsd.org/changeset/ports/392322

Log:
  Convert code in bsd.port.mk for USE_GHOSTSCRIPT* to USES=ghostscript.

  Add GHOSTSCRIPT_DEFAULT to bsd.default-versions.mk for easy version selection.
  Arguments supported: <empty>, build, run, nox11 and agpl

  PR:		201201 (exp-run)
  Approved by:	portmgr (mat@)
  Exp run by:	antione@ (previous patch)
  Differential Revision:	https://reviews.freebsd.org/D2938

Changes:
  head/CHANGES
  head/Mk/Uses/ghostscript.mk
  head/Mk/bsd.default-versions.mk
  head/Mk/bsd.port.mk
  head/Mk/bsd.sanity.mk
  head/cad/xcircuit/Makefile
  head/chinese/enscript/Makefile
  head/comms/efax-gtk/Makefile
  head/comms/hylafax/Makefile
  head/comms/tkhylafax/Makefile
  head/deskutils/etask/Makefile
  head/deskutils/gworkspace/Makefile
  head/devel/doxygen/Makefile
  head/devel/gdcm/Makefile
  head/devel/libexplain/Makefile
  head/editors/ted/Makefile
  head/editors/texmacs/Makefile
  head/editors/texmaker/Makefile
  head/editors/texstudio/Makefile
  head/graphics/GraphicsMagick/Makefile
  head/graphics/ImageMagick/Makefile
  head/graphics/cinepaint/Makefile
  head/graphics/eps2png/Makefile
  head/graphics/epstool/Makefile
  head/graphics/gimp-app/Makefile
  head/graphics/gle-graphics/Makefile
  head/graphics/graphviz/Makefile
  head/graphics/imgtops/Makefile
  head/graphics/impressive/Makefile
  head/graphics/klatexformula/Makefile
  head/graphics/ocaml-images/Makefile
  head/graphics/ocrfeeder/Makefile
  head/graphics/peps/Makefile
  head/graphics/pstoedit/Makefile
  head/graphics/pstoepsi/Makefile
  head/graphics/py-chart/Makefile
  head/graphics/sam2p/Makefile
  head/graphics/xournal/Makefile
  head/graphics/xpaint/Makefile
  head/mail/claws-mail-pdf_viewer/Makefile
  head/mail/courier/Makefile
  head/math/R/Makefile
  head/math/asymptote/Makefile
  head/math/plplot/Makefile
  head/misc/pspresent/Makefile
  head/multimedia/lives/Makefile
  head/print/auctex/Makefile
  head/print/cups-filters/Makefile
  head/print/cups-fxlinuxprint/Makefile
  head/print/cups-pdf/Makefile
  head/print/cups-pstoraster/Makefile
  head/print/dvisvg/Makefile
  head/print/epsonepl/Makefile
  head/print/flpsed/Makefile
  head/print/font2svg/Makefile
  head/print/foo2zjs/Makefile
  head/print/foomatic-filters/Makefile
  head/print/ggv/Makefile
  head/print/ghostscript7-commfont/Makefile
  head/print/ghostscript7-jpnfont/Makefile
  head/print/ghostscript7-korfont/Makefile
  head/print/gspdf/Makefile
  head/print/gsview/Makefile
  head/print/gv/Makefile
  head/print/hpijs/Makefile
  head/print/hplip/Makefile
  head/print/html2ps/Makefile
  head/print/kpdftool/Makefile
  head/print/libspectre/Makefile
  head/print/lilypond/Makefile
  head/print/lilypond-devel/Makefile
  head/print/lpr-wrapper/Makefile
  head/print/magicfilter/Makefile
  head/print/ps2eps/Makefile
  head/print/psdim/Makefile
  head/print/pstotext/Makefile
  head/print/scribus/Makefile
  head/print/texlive-base/Makefile
  head/print/texvc/Makefile
  head/print/transfig/Makefile
  head/sysutils/LPRngTool/Makefile
  head/textproc/docproj/Makefile
  head/textproc/groff/Makefile
  head/textproc/latex2html/Makefile
  head/textproc/pdftohtml/Makefile
  head/textproc/prosper/Makefile
  head/textproc/sowing/Makefile
  head/textproc/tth/Makefile
  head/x11/dgs/Makefile